import React from "react";
import { Scrollbar } from "smooth-scrollbar/scrollbar";
import { ScrollbarOptions, ScrollStatus } from "smooth-scrollbar/interfaces";
import { OverscrollOptions } from "smooth-scrollbar/plugins/overscroll";
interface ISize {
    maxWidth?: string;
    maxHeight?: string;
    width?: string;
    height?: string;
}
interface IScrollbarPlugin {
    overscroll?: Partial<Omit<OverscrollOptions, "effect">> & {
        effect?: "bounce" | "glow";
    };
}
export interface IScrollbarProps extends ISize {
    id?: string;
    className?: string;
    style?: React.CSSProperties;
    plugins?: IScrollbarPlugin;
    overEffect?: "bounce" | "glow";
    onScroll?: (status: ScrollStatus, scrollbar: Scrollbar | null) => void;
}
export declare type TScrollbarProps = Partial<ScrollbarOptions> & React.PropsWithChildren<IScrollbarProps>;
declare const _default: React.ForwardRefExoticComponent<Partial<ScrollbarOptions> & IScrollbarProps & {
    children?: React.ReactNode;
} & React.RefAttributes<Scrollbar>>;
export default _default;
